import { CancellationToken } from "../../../base/common/cancellation.js";
import { IRequestOptions, IRequestContext } from "@codingame/monaco-vscode-93784a59-b4cf-520c-8339-f8104d3a4f3e-common/vscode/vs/base/parts/request/common/request";
import { AuthInfo, Credentials } from "./request.js";
export declare const IRequestService: import("../../instantiation/common/instantiation.js").ServiceIdentifier<IRequestService>;
export interface IRequestService {
    readonly _serviceBrand: undefined;
    request(options: IRequestOptions, token: CancellationToken): Promise<IRequestContext>;
    resolveProxy(url: string): Promise<string | undefined>;
    lookupAuthorization(authInfo: AuthInfo): Promise<Credentials | undefined>;
    lookupKerberosAuthorization(url: string): Promise<string | undefined>;
    loadCertificates(): Promise<string[]>;
}
